/*
    Copyright (C) 2013 Nicola L.C. Talbot
    www.dickimaw-books.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

package com.dickimawbooks.makejmlrbookgui.newbook;

import java.io.FileFilter;
import java.io.File;

import com.dickimawbooks.makejmlrbookgui.*;

public class NewBookDocumentFileFilter implements FileFilter
{
   public NewBookDocumentFileFilter(String entryId)
   {
      this(null, entryId, ".tex", false);
   }

   public NewBookDocumentFileFilter(String section, String entryId)
   {
      this(section, entryId, ".tex", false);
   }

   public NewBookDocumentFileFilter(String section, 
     String entryId, String suffix, boolean isDir)
   {
      this.section = (section == null ? null : section.toLowerCase());
      this.entryId = entryId.toLowerCase();

      if (suffix != null)
      {
         this.entryId = this.entryId+suffix;

         if (this.section != null)
         {
            this.section = this.section+suffix;
         }
      }

      this.isDir = isDir;
   }

   public boolean accept(File file)
   {
      if (isDir ^ file.isDirectory())
      {
         return false;
      }

      String name = file.getName().toLowerCase();

      return (name.endsWith(entryId)
           || (section != null && name.endsWith(section)));
   }

   private String section, entryId;
   private boolean isDir;
}
