/*
    Copyright (C) 2013 Nicola L.C. Talbot
    www.dickimaw-books.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
package com.dickimawbooks.makejmlrbookgui.newbook;

import java.io.File;
import java.io.FilenameFilter;

public class TeXImageFilter implements FilenameFilter
{
    public TeXImageFilter(String baseName)
    {
       int idx = baseName.lastIndexOf(".");

       if (idx == -1)
       {
          this.baseName = baseName;
       }
       else
       {
          this.baseName = baseName.substring(0, idx);
       }
    }

    public boolean accept(File dir, String name)
    {
       int idx = name.lastIndexOf(".");

       if (idx == -1) return name.equals(baseName);

       String ext = name.substring(idx+1).toLowerCase();

       name = name.substring(0, idx);

       if (name.endsWith("-gray"))
       {
          name = name.substring(0, name.lastIndexOf("-"));
       }

       if (!name.equals(baseName)) return false;

       return (ext.equals("png") 
        || ext.equals("pdf")
        || ext.equals("jpg")
        || ext.equals("jpeg")
        || ext.equals("gif")
        || ext.equals("eps")
        || ext.equals("ps"));
    }

   private String baseName;
}
